<?
//////////////////////////////////////////////////////////////////////
// The freebert.com PHP/SQL Frequently Asked Questions (FAQ) Script:
// Version 0.41 - December 1, 2007
// Free to use, edit & customize, so long as the freebert.com logo, 
// the 'Powered By The Free PHP SQL FAQ Script' text & links 
// remain displayed on the bottom of every visable page. 
// Redistribution in whole or in part of any page or function within 
// the freebert.com PHP/SQL Frequently Asked Questions Script is strictly forbidden
// without the express written consent from freebert.com.
// Copyright (c) December 2007 by Colin Burke - freebert.com
// Contact: support@freebert.com
// Support: http://www.freebert.com/Wiki/index.php/FPHPFAQ
//////////////////////////////////////////////////////////////////////
// Load Settings
require_once('../Local_Settings.php');

// Load Functions
require_once('../inc/functions/Page_Templates.php');
require_once('../inc/functions/DB_Functions.php');
require_once('../inc/functions/FAQ_Functions.php');
require_once('../inc/functions/Login_Functions.php');
require_once('../inc/functions/Edit_Functions.php');

//Secure Admin Page
Secure_Page();

// Connect To DB
FBFAQ_DB_Connect($FBFAQ_DB_S,$FBFAQ_DB_U,$FBFAQ_DB_P,$FBFAQ_DB_DB);

// Check For CMD
$cmd_In = 0;
if (is_numeric($HTTP_POST_VARS['cmd']))
{
  $cmd_In = $HTTP_POST_VARS['cmd'];
}

if ($cmd_In == "1")
{
  // Swap Positions
  $SwapResult=SwapEntries($FBFAQ_DB_Prefix,$_POST);
  // Redirect with results
  header("location:Admin.php?rtc=".$SwapResult);
  echo "Swap Results: ".$SwapResult;
  die;
} 

// Get FAQ Data From DB
$FAQData=GetAllQsAndAs_Data($FBFAQ_DB_Prefix);

// Do HTML Header
Open_FAQ_HTML($Site_Script_Root_Directory,$CSS_Filename,$Site_Title.' - Frequently Asked Questions',"<META NAME='keywords' CONTENT='".$Site_Title." Frequently Asked Questions, FAQ'>");

include('../inc/skin/Overall_Header.php');
?>
<br>
<?

echo DisplayAdminMenu();

// Check For Response Text Code:
if (is_numeric($HTTP_GET_VARS['rtc']))
{
  echo $rtc_array[$HTTP_GET_VARS['rtc']];
}

echo DisplayEditableFAQData($FAQData,'90%');

?>
<br />
<br />
<?
include('../inc/skin/Overall_Footer.php');
// Do HTML footer
Close_FAQ_HTML($Site_Domain,$Site_Script_Root_Directory);

//////////////////////////////////////////////////////////////////////
// The freebert.com PHP/SQL Frequently Asked Questions (FAQ) Script:
// Version 0.41 - December 1, 2007
// Free to use, edit & customize, so long as the freebert.com logo, 
// the 'Powered By The Free PHP SQL FAQ Script' text & links 
// remain displayed on the bottom of every visable page. 
// Redistribution in whole or in part of any page or function within 
// the freebert.com PHP/SQL Frequently Asked Questions Script is strictly forbidden
// without the express written consent from freebert.com.
// Copyright (c) December 2007 by Colin Burke - freebert.com
// Contact: support@freebert.com
// Support: http://www.freebert.com/Wiki/index.php/FPHPFAQ
//////////////////////////////////////////////////////////////////////
?>