<?
//////////////////////////////////////////////////////////////////////
// The freebert.com PHP/SQL Frequently Asked Questions (FAQ) Script:
// Version 0.41 - December 1, 2007
// Free to use, edit & customize, so long as the freebert.com logo, 
// the 'Powered By The Free PHP SQL FAQ Script' text & links 
// remain displayed on the bottom of every visable page. 
// Redistribution in whole or in part of any page or function within 
// the freebert.com PHP/SQL Frequently Asked Questions Script is strictly forbidden
// without the express written consent from freebert.com.
// Copyright (c) December 2007 by Colin Burke - freebert.com
// Contact: support@freebert.com
// Support: http://www.freebert.com/Wiki/index.php/FPHPFAQ
//////////////////////////////////////////////////////////////////////
// Load Settings
require_once('../Local_Settings.php');

// Load Functions
require_once('../inc/functions/Page_Templates.php');
require_once('../inc/functions/DB_Functions.php');
require_once('../inc/functions/FAQ_Functions.php');
require_once('../inc/functions/Login_Functions.php');
require_once('../inc/functions/Edit_Functions.php');

//Secure Admin Page
Secure_Page();

// Check For CMD
$cmd_In = 0;
if (is_numeric($HTTP_POST_VARS['cmd']))
{
  $cmd_In = $HTTP_POST_VARS['cmd'];
}

// Connect To DB
FBFAQ_DB_Connect($FBFAQ_DB_S,$FBFAQ_DB_U,$FBFAQ_DB_P,$FBFAQ_DB_DB);

if ($cmd_In == "1")
{
  // Show Add New Entry Form
  $EntryData='';
  $FormCMD=11;
} 
elseif ($cmd_In == "2")
{
  // Show Edit Entry Form
  if (is_numeric($HTTP_POST_VARS['QID']))
  {
    $QID = $HTTP_POST_VARS['QID'];
  } else
  {
    // Error, No ID, Send Away
    header("location:Admin.php?rtc=99");
	echo "Error - No ID Found";
    die;
  }
  // Get FAQ Data From DB
  $EntryData=Get1QAndA_Data($FBFAQ_DB_Prefix,$QID);
  $FormCMD=22;
} 
elseif ($cmd_In == "3")
{
  // Show Delete Entry Form
  if (is_numeric($HTTP_POST_VARS['QID']))
  {
    $QID = $HTTP_POST_VARS['QID'];
  } else
  {
    // Error, No ID, Send Away
    header("location:Admin.php?rtc=99");
    die;
  }
  // Get FAQ Data From DB
  $EntryData=Get1QAndA_Data($FBFAQ_DB_Prefix,$QID);
  $FormCMD=33;
} 
elseif ($cmd_In == "11")
{
  // Process New Entry
  $Input_Data=ValidateInput($_POST);
  InsertNewEntry($FBFAQ_DB_Prefix,$Input_Data);
  header("location:Admin.php?rtc=11");
  echo "Insertion Complete";
  die;
} 
elseif ($cmd_In == "22")
{
  // Process Edit Entry
  $Input_Data=ValidateInput($_POST);
  EditEntry($FBFAQ_DB_Prefix,$Input_Data);
  header("location:Admin.php?rtc=22");
  echo "Update Complete";
  die;
}
elseif ($cmd_In == "33")
{
  // Process Delete Entry
  $Input_Data=ValidateInput($_POST);
  DeleteEntry($FBFAQ_DB_Prefix,$Input_Data);
  header("location:Admin.php?rtc=33");
  echo "Update Complete";
  die;
}

// Do HTML Header
Open_FAQ_HTML($Site_Script_Root_Directory,$CSS_Filename,$Site_Title.' - Frequently Asked Questions',"<META NAME='keywords' CONTENT='".$Site_Title." Frequently Asked Questions, FAQ'>");

include('../inc/skin/Overall_Header.php');
?>
<br>
<? 
if ($cmd_In == "3")
{  
  echo DisplayDeleteForm($FormCMD,$EntryData);
}
else
{  
  echo DisplayEditForm($FormCMD,$EntryData);
}
?>
<br />
<br />
<?
include('../inc/skin/Overall_Footer.php');
// Do HTML footer
Close_FAQ_HTML($Site_Domain,$Site_Script_Root_Directory);

//////////////////////////////////////////////////////////////////////
// The freebert.com PHP/SQL Frequently Asked Questions (FAQ) Script:
// Version 0.41 - December 1, 2007
// Free to use, edit & customize, so long as the freebert.com logo, 
// the 'Powered By The Free PHP SQL FAQ Script' text & links 
// remain displayed on the bottom of every visable page. 
// Redistribution in whole or in part of any page or function within 
// the freebert.com PHP/SQL Frequently Asked Questions Script is strictly forbidden
// without the express written consent from freebert.com.
// Copyright (c) December 2007 by Colin Burke - freebert.com
// Contact: support@freebert.com
// Support: http://www.freebert.com/Wiki/index.php/FPHPFAQ
//////////////////////////////////////////////////////////////////////
?>